Skip to main content
GET
/
api
/
v1
/
auth
/
orders
List orders (paginated)
curl --request GET \
  --url https://crypto.westminister.tech/api/v1/auth/orders
[
  {
    "id": "233e6fe7-b022-42a6-b57e-37df3b36e93f",
    "customer_id": "b523ed51-a7e0-4c53-8ac2-3c0b7e1c9cd5",
    "vendor_id": "5c81c005-1c52-4e0d-85e2-862ee1cdd4d0",
    "offer_id": "7c9a9311-7e7d-4739-9abc-34f7db00ff19",
    "usdt_amount": "1200.00000000",
    "fiat_amount": "175200.00",
    "fiat_currency": "KES",
    "wallet_address": 4.085896624744069e+47,
    "status": "pending",
    "payment_method": "mpesa",
    "order_type": "ON_RAMP_BUY",
    "escrow_wallet_address": {
      "String": "",
      "Valid": false
    },
    "escrow_network": {
      "String": "",
      "Valid": false
    },
    "escrow_reference": {
      "String": "",
      "Valid": false
    },
    "payment_phone_number": {
      "String": "",
      "Valid": false
    },
    "created_at": "2025-12-12T07:47:59.755991Z",
    "updated_at": "2025-12-12T07:47:59.755991Z"
  },
  {
    "id": "6079f8a3-a53d-4d92-9bce-088dc75b757a",
    "customer_id": "8d09359f-325a-4ecf-998d-dbe5eda3a498",
    "vendor_id": "7a4301b0-e04b-4102-a999-b17dada65509",
    "offer_id": "0e16f8d4-e557-4343-848b-9be955ccf06c",
    "usdt_amount": "799.99000000",
    "fiat_amount": "112798.59",
    "fiat_currency": "KES",
    "wallet_address": "TPY7ewYk2eY9b4TTYkCHJH3Cqudh3NU6tM",
    "status": "awaiting_crypto",
    "payment_method": "mpesa",
    "order_type": "OFF_RAMP_SELL",
    "escrow_wallet_address": {
      "String": "TPcmUBs1WrSbAXze9pb3DRMqbap9TyS4ov",
      "Valid": true
    },
    "escrow_network": {
      "String": "tron",
      "Valid": true
    },
    "escrow_reference": {
      "String": "6d4da0a8-6996-4798-a78f-7296bb143088",
      "Valid": true
    },
    "payment_phone_number": {
      "String": "254727648169",
      "Valid": true
    },
    "created_at": "2025-12-12T15:42:19.580936Z",
    "updated_at": "2025-12-12T15:42:19.580936Z"
  }
]

Query Parameters

page_id
integer
required

Page number (1-indexed)

Required range: x >= 1
page_size
integer
required

Number of orders per page

Required range: 1 <= x <= 100
order_type
enum<string>

Filter orders by type. If not provided, returns all order types.

  • ON_RAMP_BUY: Customer buys crypto with fiat
  • OFF_RAMP_SELL: Customer sells crypto for fiat
Available options:
ON_RAMP_BUY,
ON_RAMP_SELL,
OFF_RAMP_BUY,
OFF_RAMP_SELL

Response

200 - application/json

List of orders

id
string<uuid>
customer_id
string<uuid>
vendor_id
string<uuid>
offer_id
string<uuid>
usdt_amount
string
fiat_amount
string
fiat_currency
string
wallet_address
string
status
enum<string>
Available options:
pending,
processing,
confirming,
completed,
cancelled,
failed
payment_method
string

e.g., mpesa

payment_txn_id
object

Database-style nullable string wrapper

blockchain_txn_hash
object

Database-style nullable string wrapper

expires_at
string<date-time>
completed_at
object

Database-style nullable time wrapper

created_at
string<date-time>
updated_at
string<date-time>
deleted_at
object

Database-style nullable time wrapper

merchant_request_id
object

Database-style nullable string wrapper

checkout_request_id
object

Database-style nullable string wrapper

mpesa_receipt_number
object

Database-style nullable string wrapper

payment_phone_number
object

Database-style nullable string wrapper

order_type
enum<string>
Available options:
ON_RAMP_BUY,
ON_RAMP_SELL,
OFF_RAMP_BUY,
OFF_RAMP_SELL
escrow_wallet_address
object

Database-style nullable string wrapper

escrow_network
object

Database-style nullable string wrapper

escrow_reference
object

Database-style nullable string wrapper

deposit_tx_hash
object

Database-style nullable string wrapper

deposit_confirmations
integer
deposit_detected_at
object

Database-style nullable time wrapper